%define major 0
%define libname	%mklibname %{name} %{major}
%define develname %mklibname -d %name

Summary:	The Open Dynamics Engine
Name:		ode
Version:	0.9
Release:	%mkrel 1
Epoch:		1
License:	BSD LGPL
Group:		System/Libraries
URL:		http://www.ode.org
Source0:	http://downloads.sourceforge.net/opende/%{name}-src-%{version}.zip
Patch0:		ode-0.8-library-fixes.patch
BuildRequires:	X11-devel
BuildRequires:	libmesaglu-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Open Dynamics Engine (ODE) is a free software library for the
simulation of Rigid Body Dynamics. It is has been primarily written
by Russell Smith. ODE builds under a variety of different Windows
and Unix platforms. 

ODE is useful for simulating things like vehicles, objects in virtual
reality environments, and virtual creatures. 

%package -n	%{libname}
Summary:	Physics simulation library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with ODE.

%package -n	%{develname}
Summary:	Headers and libraries to develop ODE applications
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%libname-devel
Requires:	%{libname} = %{epoch}:%{version}

%description -n	%{develname}
The Open Dynamics Engine (ODE) is a free software library for the
simulation of Rigid Body Dynamics. It is has been primarily written
by Russell Smith. ODE builds under a variety of different Windows
and Unix platforms.

ODE is useful for simulating things like vehicles, objects in virtual
reality environments, and virtual creatures.

%prep
%setup -q
%patch0 -p0 -b .library_fixes

%build
./autogen.sh
%configure2_5x \
	--enable-soname \
	--enable-release \
	--with-trimesh=opcode

%make

%install
rm -rf %{buildroot}

%makeinstall_std

%multiarch_binaries %{buildroot}%{_bindir}/ode-config
%multiarch_includes %{buildroot}%{_includedir}/ode/config.h

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libode.so.%{major}*

%files -n %{develname}
%defattr(644,root,root,755)
%doc CHANGELOG.txt LICENSE-BSD.TXT README.txt
%dir %{_includedir}/ode
%attr(755,root,root) %{_bindir}/%{name}-config
%attr(755,root,root) %multiarch %{multiarch_bindir}/%{name}-config
%multiarch %{multiarch_includedir}/ode/config.h
%{_includedir}/ode/*.h
%{_libdir}/libode.a
%{_libdir}/libode.so


%changelog
* Tue Oct 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9-1mdv2008.1
+ Revision: 101396
- new version
- do not change compression format of source file
- fix url

* Thu Aug 23 2007 Funda Wang <fundawang@mandriva.org> 1:0.8-2mdv2008.0
+ Revision: 70686
- New devel policy
- fix so link

* Wed May 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.8-1mdv2008.0
+ Revision: 30222
- new version
- rediff P0
- spec file clean


* Sun Jan 21 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7-1mdv2007.0
+ Revision: 111579
- new release: 0.7 (closes #28339)
  fix passing of compile flags, lib64 fixes, -fPIC (P0)
- Import ode

* Sun Jul 30 2006 Guillaume Bedot <littletux@mandriva.org> 1:0.6-4mdv2007.0
- rebuilt without double-precision (maniadrive needs single)

* Wed Jul 19 2006 Guillaume Bedot <littletux@mandriva.org> 1:0.6-3mdv2007.0
- fix soname (wrongly dropped patch)

* Fri Jul 14 2006 Guillaume Bedot <littletux@mandriva.org> 1:0.6-2mdv2007.0
- fix symbolic links
- multiarch

* Thu Jul 13 2006 Guillaume Bedot <littletux@mandriva.org> 1:0.6-1mdv2007.0
- 0.6
- dropped patch
- install changes

* Sun Nov 27 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.5-7mdk
- added P0 from debain to disable OPCODE (and make the shared lib)
- added a lib64 fix

* Fri May 20 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.5-6mdk
- compile with -fPIC

* Fri May 20 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.5-5mdk
- from Jan Ciger: <jan.ciger@gmail.com> :
	o turn off the -whole-archive flag for the linker

* Fri Apr 22 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5-4mdk
- arg, forgot to add epoch to requires

* Thu Apr 21 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5-3mdk
- fix devel links
- fix devel requires
- do ldconfig

* Thu Apr 21 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5-2mdk
- %%mkrel
- from Jan Ciger <jan.ciger@gmail.com> :
	o 0.5 changed to build a dynamic lib a split the package

* Mon Nov 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5-1mdk
- 0.5 (add epoch as rpm takes 0.5 for less than 0.039)

